const EXPORTED_SYMBOLS = ["sio"];

Components.utils.import("chrome://scenariCommons/content/commons/basis.jsm");
Components.utils.import("chrome://scenariCommons/content/commons/system.jsm");

Object.defineProperty(this, 'MozWebSocket', {
	get: function () {
		var vAppShellService = Cc["@mozilla.org/appshell/appShellService;1"].getService(Ci.nsIAppShellService);
		return vAppShellService.hiddenDOMWindow.MozWebSocket;
	}
});
setTimeout = system.setTimeout;
clearTimeout = function (pTimeout) {
	if (pTimeout) pTimeout.cancel();
}

module = {};
sio = io = module.exports = {};

